// Load Mongoose OS API
load('api_sys.js');
load('api_log.js');
load('api_rpc.js');
load('api_timer.js');
load('api_events.js');

function nowstuff() {
    let now = Timer.now();
    let text='Timer.now() returns ' + JSON.stringify(now) + ' (UTC); that corresponds to ' + Timer.fmt("%F %T", now) + ' in your configured timezone';
    Log.print(Log.INFO,text);
    return text;
};

let MGOS_EVENT_TIME_CHANGED = Event.SYS + 3;
Event.addHandler(MGOS_EVENT_TIME_CHANGED, function (ev, evdata, ud) {
     nowstuff();
}, null);

RPC.addHandler('Do.now', function(args) {
    return {rc: nowstuff()};
});

Log.print(Log.WARN, "### init script started ###");

